Early Preview
This API is in early preview and may be subject to change. Please contact your account manager if you are interested in trying the Branding API.
Use this API to retrieve a single default/master message template by its type and language locale.
Resource URL
https://<subdomain>.onelogin.com/api/2/branding/brands/master/templates/:template_type/:localeHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: In order to use the Branding API your API Credentials must be created after 21st October 2020. |
Content-Type required string | Set to application/json. |
Resource Parameters
template_type required string | The message template type to return. |
locale required string | The 2 character language locale for the template. |
Sample Responses
- 200 Ok
- 401 Unauthorized
- 404 Not Found
{
"id": null,
"locale": "en",
"type": "email_forgot_password",
"template_class": "email_template",
"template": {
"html": "<p>If you have requested a new password for your OneLogin account,\nplease click on the link below to select a new password.</p><p>Click link to reset your password</p><p><a clicktracking="off" href="{{url}}">Click here to reset your password</a></p><p>If you did not request a new password, please ignore this email.</p>",
"plain": "If you have requested a new password for your OneLogin account,\nuse the link below to reset your password\nLink: {{url}}\n\nIf you did not request a new password, please ignore this email.",
"subject": "Forgot your password"
}
}{
"name": "UnauthorizedError",
"message": "The request requires user authentication."
}{
"name": "NotFoundError",
"message": "Unknown Content Template type: \"544880\"",
"statusCode": 404
}
```json
</div>
</div>
<h2 id="postman-collection">Postman Collection</h2>
<p>Replace sample variables indicated by <code>{{ }}</code> with your actual values.</p>
<h2>Sample Code</h2>
<h3>cURL</h3>
<p>Replace sample values indicated by <code>< ></code> with your actual values.</p>
<h4><span>Get Account Brand</span></h4>
```bash
curl 'https://<subdomain>.onelogin.com/api/2/branding/brands/master/templates/:template_type/:locale' \
-X GET \
-H "Authorization: bearer <access_token>"
-H "Content-Type: application/json" \Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.